# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter

Packages that use IDifferenceFilter
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

## Uses of IDifferenceFilter in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IDifferenceFilter
Modifier
Constructor
Description
``
`FilterAction(String text, StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter filter)`
The "default" constructor for this action.

## Uses of IDifferenceFilter in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters that return types with arguments of type IDifferenceFilter
Modifier and Type
Method
Description
`Set<IDifferenceFilter>`
StructureMergeViewerFilter.`getActiveDifferenceFilters()`
Returns the set of activated filters known by this filter.
`Set<IDifferenceFilter>`
StructureMergeViewerFilter.`getSelectedDifferenceFilters()`
Returns the set of selected filters known by this filter.
`Set<IDifferenceFilter>`
StructureMergeViewerFilter.`getUnSelectedDifferenceFilters()`
Returns the set of unselected filters known by this viewer.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters with parameters of type IDifferenceFilter
Modifier and Type
Method
Description
`void`
StructureMergeViewerFilter.`addFilter(IDifferenceFilter filter)`
Add the predicate of the given `IDifferenceFilter`.
`void`
StructureMergeViewerFilter.`removeFilter(IDifferenceFilter filter)`
Remove the predicate of the given `IDifferenceFilter`.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters with type arguments of type IDifferenceFilter
Modifier and Type
Method
Description
`void`
StructureMergeViewerFilter.`init(Collection<IDifferenceFilter> selectedFilters, Collection<IDifferenceFilter> unselectedFilters, Collection<IDifferenceFilter> activeFilters)`
Init this StructureMergeViewerFilter.

## Uses of IDifferenceFilter in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl that implement IDifferenceFilter
Modifier and Type
Class
Description
`class`
`CascadingDifferencesFilter`
A filter used by default that filters out cascading differences (differences located under a Match that is either ADDed or DELETEd on the diff's side).
`class`
`TechnicalitiesFilter`
A filter used by default that rejects all 'technical' differences.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl that return IDifferenceFilter
Modifier and Type
Method
Description
`IDifferenceFilter`
DifferenceFilterRegistryImpl.`add(IDifferenceFilter filter)`
Add to the registry the given `IDifferenceFilter`.
`IDifferenceFilter`
DifferenceFilterRegistryImpl.`remove(String className)`
Remove from the registry the `IDifferenceFilter` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl that return types with arguments of type IDifferenceFilter
Modifier and Type
Method
Description
`Set<IDifferenceFilter>`
DifferenceFilterManager.`getAllFilters()`
Get all registered filter.
`Set<IDifferenceFilter>`
DifferenceFilterManager.`getCurrentByDefaultFilters()`
Get all `IDifferenceFilter` that should be used by default for next comparison.
`List<IDifferenceFilter>`
DifferenceFilterRegistryImpl.`getFilters(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceFilter` contained in the registry.
`Set<IDifferenceFilter>`
DifferenceFilterManager.`getInitialByDefaultFilters()`
`Set` of `IDifferenceFilter` that are initially enabled by default.
`Collection<IDifferenceFilter>`
DifferenceFilterChange.`getSelectedDifferenceFilters()`
Returns the list of selected `IDifferenceFilter`.
`Collection<IDifferenceFilter>`
DifferenceFilterChange.`getUnselectedDifferenceFilters()`
Returns the list of unselected `IDifferenceFilter`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl with parameters of type IDifferenceFilter
Modifier and Type
Method
Description
`IDifferenceFilter`
DifferenceFilterRegistryImpl.`add(IDifferenceFilter filter)`
Add to the registry the given `IDifferenceFilter`.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl with type arguments of type IDifferenceFilter
Modifier and Type
Method
Description
`void`
DifferenceFilterManager.`setCurrentActiveFilters(Set<IDifferenceFilter> activeFilters)`
Set the filters that should be active for the next comparison.
`void`
DifferenceFilterManager.`setCurrentByDefaultFilters(Set<IDifferenceFilter> enabledFilter)`
Set the filters that should be used by default for next comparison.
Constructor parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl with type arguments of type IDifferenceFilter
Modifier
Constructor
Description
``
`DifferenceFilterChange(com.google.common.base.Predicate<? super EObject> predicate, Set<IDifferenceFilter> selectedDifferenceFilters, Set<IDifferenceFilter> unselectedDifferenceFilters)`
Default Constructor.

## Uses of IDifferenceFilter in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

Subinterfaces of IDifferenceFilter in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters
Modifier and Type
Interface
Description
`interface`
`IDeactivableDiffFilter`
A `IDifferenceFilter` that can be fully deactivated in the preferences.
Classes in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters that implement IDifferenceFilter
Modifier and Type
Class
Description
`class`
`AbstractDifferenceFilter`
An abstract filter implementation.
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters that return IDifferenceFilter
Modifier and Type
Method
Description
`IDifferenceFilter`
IDifferenceFilter.Registry.`add(IDifferenceFilter filter)`
Add to the registry the given `IDifferenceFilter`.
`IDifferenceFilter`
IDifferenceFilter.Registry.`remove(String className)`
Remove from the registry the `IDifferenceFilter` designated by the given `String` .
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters that return types with arguments of type IDifferenceFilter
Modifier and Type
Method
Description
`Collection<IDifferenceFilter>`
IDifferenceFilter.Registry.`getFilters(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceFilter` contained in the registry.
`Collection<IDifferenceFilter>`
IDifferenceFilterChange.`getSelectedDifferenceFilters()`
Returns the list of selected `IDifferenceFilter`.
`Collection<IDifferenceFilter>`
IDifferenceFilterChange.`getUnselectedDifferenceFilters()`
Returns the list of unselected `IDifferenceFilter`.
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters with parameters of type IDifferenceFilter
Modifier and Type
Method
Description
`IDifferenceFilter`
IDifferenceFilter.Registry.`add(IDifferenceFilter filter)`
Add to the registry the given `IDifferenceFilter`.